Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.reflect
Interface ClassInfo

All Superinterfaces:
  ReflectionInfo

All Known Implementing Classes:
  AsmClassInfo, ClassInfo.NullClassInfo, JavaClassInfo

    public interface ClassInfo

extends ReflectionInfo

Interface for the class info implementations.

Author:
  Jonas Bonr

Nested Class Summary
`static class` | `ClassInfo.NullClassInfo`

Method Summary
`ClassLoader` | `getClassLoader()` Returns the class loader that loaded this class.
`ClassInfo` | `getComponentType()` Returns the component type if array type else null.
`ConstructorInfo` | `getConstructor(int hash)` Returns a constructor info by its hash.
`ConstructorInfo[]` | `getConstructors()` Returns the constructors info.
`FieldInfo` | `getField(int hash)` Returns a field info by its hash.
`FieldInfo[]` | `getFields()` Returns the fields info.
`ClassInfo[]` | `getInterfaces()` Returns the interfaces.
`MethodInfo` | `getMethod(int hash)` Returns a method info by its hash.
`MethodInfo[]` | `getMethods()` Returns the methods info.
`ClassInfo` | `getSuperclass()` Returns the super class, or null (superclass of java.lang.Object)
`boolean` | `hasStaticInitializer()` Checks if the class has a static initalizer.
`boolean` | `isArray()` Is the class an array type.
`boolean` | `isInterface()` Is the class an interface.
`boolean` | `isPrimitive()` Is the class a primitive type.
`StaticInitializationInfo` | `staticInitializer()` Returns the static initializer info of the current underlying class if any.

Methods inherited from interface org.codehaus.aspectwerkz.reflect.ReflectionInfo
`getAnnotations, getModifiers, getName, getSignature`

Method Detail

### getConstructor

    ConstructorInfo getConstructor(int hash)

  Returns a constructor info by its hash. Looks up in the hierarchy

  Parameters:
    `hash` -
  Returns:

### getConstructors

    ConstructorInfo[] getConstructors()

  Returns the constructors info. Does not looks up in the hierarchy

  Returns:
    the constructors info

### getMethod

    MethodInfo getMethod(int hash)

  Returns a method info by its hash. Looks up in the hierarchy

  Parameters:
    `hash` -
  Returns:

### getMethods

    MethodInfo[] getMethods()

  Returns the methods info. Does not looks up in the hierarchy

  Returns:
    the methods info

### getField

    FieldInfo getField(int hash)

  Returns a field info by its hash. Looks up in the hierarchy

  Parameters:
    `hash` -
  Returns:

### getFields

    FieldInfo[] getFields()

  Returns the fields info. Does not looks up in the hierarchy

  Returns:
    the fields info

### getClassLoader

    ClassLoader getClassLoader()

  Returns the class loader that loaded this class.

  Returns:
    the class loader

### hasStaticInitializer

    boolean hasStaticInitializer()

  Checks if the class has a static initalizer.

  Returns:

### staticInitializer

    StaticInitializationInfo staticInitializer()

  Returns the static initializer info of the current underlying class if any.

  Returns:

### getInterfaces

    ClassInfo[] getInterfaces()

  Returns the interfaces.

  Returns:
    the interfaces

### getSuperclass

    ClassInfo getSuperclass()

  Returns the super class, or null (superclass of java.lang.Object)

  Returns:
    the super class

### getComponentType

    ClassInfo getComponentType()

  Returns the component type if array type else null.

  Returns:
    the component type

### isInterface

    boolean isInterface()

  Is the class an interface.

  Returns:

### isPrimitive

    boolean isPrimitive()

  Is the class a primitive type.

  Returns:

### isArray

    boolean isArray()

  Is the class an array type.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.